Page MenuHomeFreeBSD

VIMAGE PF fixes #1
ClosedPublic

Authored by rodrigc on Dec 14 2014, 12:31 AM.

Details

Reviewers
trociny
glebius
gnn
bz
zec
Group Reviewers
network
Summary

Merge: r258322 from projects/pf branch

  • Split functions that initialize various pf parts into their vimage parts and global parts.
  • Since global parts appeared to be only mutex initializations, just abandon them and use MTX_SYSINIT() instead.
  • Kill my incorrect VNET_FOREACH() iterator and instead use correct approach with VNET_SYSINIT().

Submitted by: glebius, Nikos Vassiliadis <nvass gmx.com>
Reviewed by: trociny

Test Plan
  • compiled CURRENT kernel with this patch
  • booted
  • created VNET jail
  • started PF in the jail

Eliminated some crashes such as PR 194515

Diff Detail

Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

rodrigc retitled this revision from to VIMAGE PF fixes #1.
rodrigc updated this object.
rodrigc edited the test plan for this revision. (Show Details)
rodrigc added reviewers: bz, glebius.
rodrigc added a reviewer: network.
rodrigc added subscribers: Unknown Object (MLST), Unknown Object (MLST), Unknown Object (MLST).
sys/netpfil/pf/pf_ioctl.c
3804

Perhaps SI_ORDER_MIDDLE could work here instead of (SI_ORDER_ANY - 255)?

gnn added a reviewer: gnn.
This revision is now accepted and ready to land.Jan 5 2015, 3:21 AM
bz edited edge metadata.

Even if this would have been merged properly and not broken the build there's still stuff that is wrong for initialisation with different net contexts in this and that needs to be fixed properly.

This revision is now accepted and ready to land.Jan 6 2015, 2:01 PM

Is there update to these fixes?

kp added a subscriber: kp.

Assorted pf VIMAGE fixes have been done, and pf is now usable inside VIMAGE jails.